Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 984d922477870e2df864f6d1d1c298f5e494881c)
+++ cpukit/ChangeLog	(revision c11cb9a5a967cb61dcf57136a7576abc07c98589)
@@ -1,5 +1,6 @@
 2005-05-25  Ralf Corsepius  <ralf.corsepius@rtems.org>
 
-	* librpc/include/rpc/clnt.h, librpc/include/rpc/clnt_soc.h,
+	* include/rpc/clnt.h, include/rpc/svc.h,
+	librpc/include/rpc/clnt.h, librpc/include/rpc/clnt_soc.h,
 	src/rpc/clnt_perror.c: More updates from FreeBSD.
 
Index: cpukit/librpc/include/rpc/clnt.h
===================================================================
--- cpukit/librpc/include/rpc/clnt.h	(revision 984d922477870e2df864f6d1d1c298f5e494881c)
+++ cpukit/librpc/include/rpc/clnt.h	(revision c11cb9a5a967cb61dcf57136a7576abc07c98589)
@@ -46,7 +46,7 @@
  * Mountain View, California  94043
  *
- *	from: @(#)clnt.h 1.31 88/02/08 SMI
+ *	from: @(#)clnt.h 1.31 94/04/29 SMI
  *	from: @(#)clnt.h	2.1 88/07/29 4.0 RPCSRC
- * $FreeBSD: src/include/rpc/clnt.h,v 1.11 1999/08/27 23:45:03 peter Exp $
+ * $FreeBSD: src/include/rpc/clnt.h,v 1.21 2003/01/24 01:47:55 fjoe Exp $
  */
 
@@ -54,55 +54,17 @@
  * clnt.h - Client side remote procedure call interface.
  *
- * Copyright (C) 1984, Sun Microsystems, Inc.
- */
+ * Copyright (c) 1986-1991,1994-1999 by Sun Microsystems, Inc.
+ * All rights reserved.
+ */
+
+/*
+ * $Id$
+ */ 
 
 #ifndef _RPC_CLNT_H_
 #define _RPC_CLNT_H_
+#include <rpc/clnt_stat.h>
 #include <sys/cdefs.h>
 #include <sys/un.h>
-
-/*
- * Rpc calls return an enum clnt_stat.  This should be looked at more,
- * since each implementation is required to live with this (implementation
- * independent) list of errors.
- */
-enum clnt_stat {
-	RPC_SUCCESS=0,			/* call succeeded */
-	/*
-	 * local errors
-	 */
-	RPC_CANTENCODEARGS=1,		/* can't encode arguments */
-	RPC_CANTDECODERES=2,		/* can't decode results */
-	RPC_CANTSEND=3,			/* failure in sending call */
-	RPC_CANTRECV=4,			/* failure in receiving result */
-	RPC_TIMEDOUT=5,			/* call timed out */
-	/*
-	 * remote errors
-	 */
-	RPC_VERSMISMATCH=6,		/* rpc versions not compatible */
-	RPC_AUTHERROR=7,		/* authentication error */
-	RPC_PROGUNAVAIL=8,		/* program not available */
-	RPC_PROGVERSMISMATCH=9,		/* program version mismatched */
-	RPC_PROCUNAVAIL=10,		/* procedure unavailable */
-	RPC_CANTDECODEARGS=11,		/* decode arguments error */
-	RPC_SYSTEMERROR=12,		/* generic "other problem" */
-
-	/*
-	 * callrpc & clnt_create errors
-	 */
-	RPC_UNKNOWNHOST=13,		/* unknown host name */
-	RPC_UNKNOWNPROTO=17,		/* unkown protocol */
-
-	/*
-	 * _ create errors
-	 */
-	RPC_PMAPFAILURE=14,		/* the pmapper failed in its call */
-	RPC_PROGNOTREGISTERED=15,	/* remote program is not registered */
-	/*
-	 * unspecified error
-	 */
-	RPC_FAILED=16
-};
-
 
 /*
@@ -159,4 +121,5 @@
 } CLIENT;
 
+#define RPCSMALLMSGSIZE	400	/* a more reasonable packet size */
 
 /*
@@ -349,8 +312,4 @@
 extern struct rpc_createerr rpc_createerr;
 
-
-#define UDPMSGSIZE	8800	/* rpc imposed limit on udp msg size */
-#define RPCSMALLMSGSIZE	400	/* a more reasonable packet size */
-
 /* For backward compatibility */
 #include <rpc/clnt_soc.h>
Index: cpukit/librpc/include/rpc/svc.h
===================================================================
--- cpukit/librpc/include/rpc/svc.h	(revision 984d922477870e2df864f6d1d1c298f5e494881c)
+++ cpukit/librpc/include/rpc/svc.h	(revision c11cb9a5a967cb61dcf57136a7576abc07c98589)
@@ -200,9 +200,9 @@
 
 __BEGIN_DECLS
-extern bool_t	svc_sendreply(SVCXPRT *, xdrproc_t, char *);
+extern bool_t	svc_sendreply(SVCXPRT *, xdrproc_t, void *);
 extern void	svcerr_decode(SVCXPRT *);
 extern void	svcerr_weakauth(SVCXPRT *);
 extern void	svcerr_noproc(SVCXPRT *);
-extern void	svcerr_progvers(SVCXPRT *, u_long, u_long);
+extern void	svcerr_progvers(SVCXPRT *, rpcvers_t, rpcvers_t);
 extern void	svcerr_auth(SVCXPRT *, enum auth_stat);
 extern void	svcerr_noprog(SVCXPRT *);
Index: cpukit/librpc/src/rpc/svc.c
===================================================================
--- cpukit/librpc/src/rpc/svc.c	(revision 984d922477870e2df864f6d1d1c298f5e494881c)
+++ cpukit/librpc/src/rpc/svc.c	(revision c11cb9a5a967cb61dcf57136a7576abc07c98589)
@@ -245,5 +245,5 @@
 	register SVCXPRT *xprt,
 	xdrproc_t xdr_results,
-	caddr_t xdr_location )
+	void *xdr_location )
 {
 	struct rpc_msg rply;
@@ -356,6 +356,6 @@
 svcerr_progvers(
 	register SVCXPRT *xprt,
-	u_long low_vers,
-	u_long high_vers )
+	rpcvers_t low_vers,
+	rpcvers_t high_vers )
 {
 	struct rpc_msg rply;
